Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.action
Class AbstractActionExt

    java.lang.Object
      javax.swing.AbstractAction
          org.jdesktop.swingx.action.AbstractActionExt

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Direct Known Subclasses:
  AbstractHyperlinkAction, BoundAction, ColumnControlButton.ColumnVisibilityAction, CompositeAction, TargetableAction

    public abstract class AbstractActionExt

extends javax.swing.AbstractAction
implements java.awt.event.ItemListener

Extends the concept of the Action to include toggle or group states.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `GROUP` The key for the button group
`static java.lang.String` | `IS_STATE` The key for the flag which indicates that this is a state type.
`static java.lang.String` | `LARGE_ICON` The key for the large icon

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`AbstractActionExt()` Default constructor, does nothing.
`AbstractActionExt(AbstractActionExt action)` Copy constructor copies the state.
`AbstractActionExt(java.lang.String name)`
`AbstractActionExt(java.lang.String name, javax.swing.Icon icon)`
`AbstractActionExt(java.lang.String name, java.lang.String command)` Constructs an Action with the label and command
`AbstractActionExt(java.lang.String name, java.lang.String command, javax.swing.Icon icon)`

Method Summary
`void` | `dispose()` Will perform cleanup on the object.
`javax.swing.KeyStroke` | `getAccelerator()` Returns the key stroke which represents an accelerator for the action.
`java.lang.Object` | `getActionCommand()` Returns the action command.
`java.lang.Object` | `getGroup()`
`javax.swing.Icon` | `getLargeIcon()` Returns a large icon which represents the action.
`java.lang.String` | `getLongDescription()` Returns a long description of the action.
`int` | `getMnemonic()` Return the mnemonic key code for the action.
`java.lang.String` | `getName()` Returns the name of the action.
`java.lang.String` | `getShortDescription()` Returns a short description of the action.
`javax.swing.Icon` | `getSmallIcon()` Returns a small icon which represents the action.
`boolean` | `isSelected()`
`boolean` | `isStateAction()` Indicates if this action has states.
`void` | `itemStateChanged(java.awt.event.ItemEvent e)` Callback method as `ItemListener`.
`void` | `setAccelerator(javax.swing.KeyStroke key)` Sets the key stroke which represents an accelerator for the action.
`void` | `setActionCommand(java.lang.Object key)` Sets the action command key.
`void` | `setGroup(java.lang.Object group)` Sets the group identity of the state action.
`void` | `setLargeIcon(javax.swing.Icon icon)` Sets the large icon which represents the action.
`void` | `setLongDescription(java.lang.String desc)` Sets the long description of the action.
`void` | `setMnemonic(int mnemonic)` Sets the mnemonic key code for the action.
`void` | `setMnemonic(java.lang.String mnemonic)`
`void` | `setName(java.lang.String name)` Sets the name of the action.
`void` | `setSelected(boolean newValue)` Changes the state of the action
`void` | `setShortDescription(java.lang.String desc)` Sets the short description of the action.
`void` | `setSmallIcon(javax.swing.Icon icon)` Sets the small icon which represents the action.
`void` | `setStateAction()` Set the state property to true.
`void` | `setStateAction(boolean state)` Set the state property.
`java.lang.String` | `toString()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.event.ActionListener
`actionPerformed`

Field Detail

### LARGE_ICON

    public static final java.lang.String LARGE_ICON

  The key for the large icon

  See Also:
    Constant Field Values

### GROUP

    public static final java.lang.String GROUP

  The key for the button group

  See Also:
    Constant Field Values

### IS_STATE

    public static final java.lang.String IS_STATE

  The key for the flag which indicates that this is a state type.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractActionExt

    public AbstractActionExt()

  Default constructor, does nothing.

### AbstractActionExt

    public AbstractActionExt(AbstractActionExt action)

  Copy constructor copies the state.

### AbstractActionExt

    public AbstractActionExt(java.lang.String name)

### AbstractActionExt

    public AbstractActionExt(java.lang.String name,
                             javax.swing.Icon icon)

### AbstractActionExt

    public AbstractActionExt(java.lang.String name,
                             java.lang.String command)

  Constructs an Action with the label and command

  Parameters:
    `name` - name of the action usually used as a label
    `command` - command key of the action

### AbstractActionExt

    public AbstractActionExt(java.lang.String name,
                             java.lang.String command,
                             javax.swing.Icon icon)

Parameters:
  `name` - display name of the action
  `command` - the value of the action command key
  `icon` - icon to display

Method Detail

### getShortDescription

    public java.lang.String getShortDescription()

  Returns a short description of the action.

  Returns:
    the short description or null

### setShortDescription

    public void setShortDescription(java.lang.String desc)

  Sets the short description of the action. This will also set the long description value is it is null.

  This is a convenience method for `putValue` with the `Action.SHORT_DESCRIPTION` key.

  Parameters:
    `desc` - the short description; can be `null`w
  See Also:
    `Action.SHORT_DESCRIPTION`, `Action.putValue(java.lang.String, java.lang.Object)`

### getLongDescription

    public java.lang.String getLongDescription()

  Returns a long description of the action.

  Returns:
    the long description or null

### setLongDescription

    public void setLongDescription(java.lang.String desc)

  Sets the long description of the action. This will also set the value of the short description if that value is null.

  This is a convenience method for `putValue` with the `Action.LONG_DESCRIPTION` key.

  Parameters:
    `desc` - the long description; can be `null`
  See Also:
    `Action.LONG_DESCRIPTION`, `Action.putValue(java.lang.String, java.lang.Object)`

### getSmallIcon

    public javax.swing.Icon getSmallIcon()

  Returns a small icon which represents the action.

  Returns:
    the small icon or null

### setSmallIcon

    public void setSmallIcon(javax.swing.Icon icon)

  Sets the small icon which represents the action.

  This is a convenience method for `putValue` with the `Action.SMALL_ICON` key.

  Parameters:
    `icon` - the small icon; can be `null`
  See Also:
    `Action.SMALL_ICON`, `Action.putValue(java.lang.String, java.lang.Object)`

### getLargeIcon

    public javax.swing.Icon getLargeIcon()

  Returns a large icon which represents the action.

  Returns:
    the large icon or null

### setLargeIcon

    public void setLargeIcon(javax.swing.Icon icon)

  Sets the large icon which represents the action.

  This is a convenience method for `putValue` with the `LARGE_ICON` key.

  Parameters:
    `icon` - the large icon; can be `null`
  See Also:
    `LARGE_ICON`, `Action.putValue(java.lang.String, java.lang.Object)`

### setName

    public void setName(java.lang.String name)

  Sets the name of the action.

  This is a convenience method for `putValue` with the `Action.NAME` key.

  Parameters:
    `name` - the name of the action; can be `null`
  See Also:
    `Action.NAME`, `Action.putValue(java.lang.String, java.lang.Object)`

### getName

    public java.lang.String getName()

  Returns the name of the action.

  Returns:
    the name of the action or null

### setMnemonic

    public void setMnemonic(java.lang.String mnemonic)

### setMnemonic

    public void setMnemonic(int mnemonic)

  Sets the mnemonic key code for the action.

  This is a convenience method for `putValue` with the `Action.MNEMONIC_KEY` key.

  This method does not validate the value. Please see `AbstractButton.setMnemonic(int)` for details concerning the value of the mnemonic.

  Parameters:
    `mnemonic` - an int key code mnemonic or 0
  See Also:
    `AbstractButton.setMnemonic(int)`, `Action.MNEMONIC_KEY`, `Action.putValue(java.lang.String, java.lang.Object)`

### getMnemonic

    public int getMnemonic()

  Return the mnemonic key code for the action.

  Returns:
    the mnemonic or 0

### setActionCommand

    public void setActionCommand(java.lang.Object key)

  Sets the action command key. The action command key is used to identify the action.

  This is a convenience method for `putValue` with the `Action.ACTION_COMMAND_KEY` key.

  Parameters:
    `key` - the action command
  See Also:
    `Action.ACTION_COMMAND_KEY`, `Action.putValue(java.lang.String, java.lang.Object)`

### getActionCommand

    public java.lang.Object getActionCommand()

  Returns the action command.

  Returns:
    the action command or null

### getAccelerator

    public javax.swing.KeyStroke getAccelerator()

  Returns the key stroke which represents an accelerator for the action.

  Returns:
    the key stroke or null

### setAccelerator

    public void setAccelerator(javax.swing.KeyStroke key)

  Sets the key stroke which represents an accelerator for the action.

  This is a convenience method for `putValue` with the `Action.ACCELERATOR_KEY` key.

  Parameters:
    `key` - the key stroke; can be `null`
  See Also:
    `Action.ACCELERATOR_KEY`, `Action.putValue(java.lang.String, java.lang.Object)`

### setGroup

    public void setGroup(java.lang.Object group)

  Sets the group identity of the state action. This is used to identify the action as part of a button group.

### getGroup

    public java.lang.Object getGroup()

### dispose

    public void dispose()

  Will perform cleanup on the object. Should be called when finished with the Action. This should be used if a new action is constructed from the properties of an old action. The old action properties should be disposed.

### isStateAction

    public boolean isStateAction()

  Indicates if this action has states. If this method returns true then the this will send ItemEvents to ItemListeners when the control constructed with this action in invoked.

  Returns:
    true if this can handle states

### setStateAction

    public void setStateAction()

  Set the state property to true.

### setStateAction

    public void setStateAction(boolean state)

  Set the state property.

  Parameters:
    `state` - if true then this action will fire ItemEvents

### isSelected

    public boolean isSelected()

  Returns:
    true if the action is in the selected state

### setSelected

    public void setSelected(boolean newValue)

  Changes the state of the action

  Parameters:
    `newValue` - true to set the action as selected of the action.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Callback method as `ItemListener`. Updates internal state based on the given ItemEvent.

  Here: synchs selected property if isStateAction(), does nothing otherwise.

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`
  Parameters:
    `e` - the ItemEvent fired by a ItemSelectable on changing the selected state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.